org.eclipse.ease.lang.python

## Class PythonCodeParser

- java.lang.Object
- - org.eclipse.ease.AbstractCodeParser
  - - org.eclipse.ease.lang.python.PythonCodeParser

All Implemented Interfaces:
  ICodeParser

    public class PythonCodeParser
    extends AbstractCodeParser

### Field Summary

### Fields inherited from class org.eclipse.ease.AbstractCodeParser

`PARAMETER_PATTERN`

### Constructor Summary

Constructors
Constructor and Description
`PythonCodeParser()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ICompletionContext` `getContext(IScriptEngine scriptEngine, java.lang.Object resource, java.lang.String contents, int position, int selectionRange)` Parse the given piece of code into a language specific `ICompletionContext`.

### Methods inherited from class org.eclipse.ease.AbstractCodeParser

`extractKeywords, getHeaderComment, getSignatureInfo, isAcceptedBeforeHeader`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PythonCodeParser

    public PythonCodeParser()

### Method Detail

#### getContext

    public ICompletionContext getContext(IScriptEngine scriptEngine,
                                         java.lang.Object resource,
                                         java.lang.String contents,
                                         int position,
                                         int selectionRange)

Description copied from interface: `ICodeParser`
Parse the given piece of code into a language specific `ICompletionContext`.

Specified by:
  `getContext` in interface `ICodeParser`
Overrides:
  `getContext` in class `AbstractCodeParser`
Parameters:
  `scriptEngine` - running script engine
  `resource` - resource instance to be parsed
  `contents` - code to be parsed (only up to cursor position)
  `position` - cursor position within contents
  `selectionRange` - amount of selected characters from cursor position
Returns:
  `ICompletionContext` with parsed information if successful, `null` in case invalid syntax given.